Revision 23 - 2012-07-24 at 20:31:11 Rolled Back (Current: 22)

Install MojoMojo

Overview

One MojoMojo user's experience installing it on a fresh Intrepid Ibex machine. These notes are dated to a pre-release version of MojoMojo 0.999021 from October 30, 2009.

Installing First Version in Git Repo

MojoMojo was recently moved to a GitHub repo. The move included a new revision with KinoSearch replacing Plucene. Let's see how this puppy installs. Jasa SEO Jasa SEO Murah Sepatu Online Toko Sepatu Online Sepatu Sepatu Safety Cheapes Hostgator Coupon Link Booking Televisori offerte Notebook Offerte Govr Edo Ziedo Portatile Apple RDAnet Lorks Karikatur tertinggal Bisnis UKM Bisnis Modal Kecil Iklan Baris Jasa SEO Murah SEO Indonesia Konsultan SEO SEO Belajar SEO Penumbuh Rambut Kursus SEO Jam Tangan Casio Grosir Baju Terbaru Bisnis Online Belajar SEO Kerupuk Social Bookmark Kumpulan Puisi

Checkout via git

git clone git@github.com:marcusramberg/mojomojo.git1

Install Catalyst

Since MojoMojo is a Catalyst application we must install Catalyst. At least two choices:

  • apt-get install libcatalyst-perl (version 5.7014)
  • CPAN Catalyst (version 5.7015)

I did both.

perl Makefile.PL2 and make installdeps to install MojoMojo dependencies

Patience here, if you're starting with a fresh Intrepid Ibex install. You need to install beaucoup module dependencies.

NOTE: had to run make installdeps more than once, maybe because I attempted to install some optional modules the first time? Second time around I still needed:

  • Test::WWW::Mechanize::Catalyst ...missing.
  • Test::WWW::Mechanize ...missing. (would need 1.16)

NOTE: Imager won't be of much use without some png, jpeg or gif lib*-dev packages installed.

Test::WWW::Mechanize fails with:

t/submit_form_ok........NOK 3/0
   Failed test 'Submit First Form'
   at t/submit_form_ok.t line 28.
 500 Can't connect to localhost:13432 (connect: Connection refused)
 Content-Type: text/plain
 Client-Date: Thu, 30 Oct 2008 03:27:51 GMT
 Client-Warning: Internal response

Which version was this? I removed the note about missing dependencies after fixing them.

Addendum

Second Install on Ubuntu 8.10

  • perl Makefile.PL

  • make installdeps (this takes some time as several modules will be needed)

  • second pass of make installdeps:

    - Test::WWW::Mechanize::Catalyst          ...missing.
    - Test::WWW::Mechanize                    ...missing. (would need 1.16)
    

Test::Www::Mechanize fails t/submit_form_ok.t. Here's the dope.

NOTE: It's OK to force install Test::WWW::Mechanize, because the test if failing due to problems with the test server included, not the test itself. In other words, one can use apache on localhost as the test server and t/submit_form_ok.t passes the three tests.

I have to copy the attachments directory from old to new install, but I don't think that makes a difference wrt this error message which occurs when accessing a page w/ attachment in it.

[error] Couldn't render template "file error - attachment/defaultaction.tt: not found"


NOTE: make installdeps hung at:

*** Installing dependencies...

SOLUTION: Install package build-essential.3

Footnotes


  1. This type of checkout requires a GitHub account (free) and possibly that you're coming from machine with a known public key. General public can checkout with the Public Clone URL: git://github.com/marcusramberg/mojomojo.git ↩

  2. If you attempt to run perl Makefile.PL without first installing Catalyst which will also install Module::Install, you will get an error about unable to locate inc/Module/Install.pm.
    * This is only an issue when you install from git, the CPAN releases automatically include module install -- Marcus ↩

  3. Not sure why this still isn't done by default. ↩

My tags:
 
Popular tags:
 
Powered by Catalyst